package uz.ssd.mobiuz.network.model

sealed class UiStateObject<out T> {
    data class SUCCESS<out T>(val data: T) : UiStateObject<T>()
    data class ERROR(val message: String,var fromServer: Boolean = false) : UiStateObject<Nothing>()
    data class ERRORS(val errors: List<Errors>) : UiStateObject<Nothing>()
    object LOADING : UiStateObject<Nothing>()
    object EMPTY : UiStateObject<Nothing>()
}